I need to make a wall as a pieces and I have the cad file with the wall pattern as you can see in the picture .
I need a dynamo script that allows me to create the wall pattern as a pieces based on the CAD file .
In addition, the cad file has the pattern as a polyline with its layer.
Ok. If you don’t know how to automate it, step one is to work how how to do it manually in Revit. Write those steps down into a pseudo code or process map, and expand from there.
Create a normal wall with little height and ensure that the disallow to join is checked and created it then we pick that wall and edit the profile based on the limit of one piece of that pattern. Same process for each piece, After that we copy the pattern as a group of pieces to distribute it for the entire wall.
Ok, but why many walls, why not one? Certainly the route I would go… still not sure what will hold up the floating bits as the design is made into a reality, but I guess you’ve got a plan for that.
In any case:
Read the DWG line work. Lots of ways to do this, a plethora of forum posts to choose from.
Generate the polycurves using a PolyCurve.ByGroupedCurves node.
For each PolyCurve, generate a wall. They’ll overlap but I don’t thing it will be an issue.
Apply the walls’s profile sketch. For this there are a few of posts on this topic, but this one usually gets people squared away: Sketch Lines - Edit, Copy, Paste. Note that the profile will need to be enabled, which is shown in a screenshot of some Python near the end.
Try to decompose a wall in Parts and take one of the Part layer and split it with closed sketch lines loops recursively until finished then apply different material to the Parts. I think you could find examples applied to floors and topography subregions as well.
But if I have to do this, I would not use any system family, I would create a face based generic model family with extrusions solids based on the filled regions.
Exactly This is what I’m looking for.
If you have this script could you please share it with me and i will adjust it so,I can create the surfacewall based on the layer of each piece with specific type of wall
hi dont have it anymore…but bassicly you will need get the curves from cad group them so you have closed loop then surface by path and create the walls with synthesize toolkit, createwallbysurface…
you can probably use wombats node wall by profile as well…if i understand right
but many thing can go wrong try share that cad dwg and we can probably help…another way could be a pattern maybe, in that case i would look into pyrevit …make pattern tool
Hello Mr.Sovitek … okay I will share the test Revit file and the dynamo script that i tried to make but, it doesn’t work.
please, if you could have a look at it and tell me how can I fix it . create wall as pieces.dyn (21.9 KB) test dynamo.rvt (5.1 MB)